.single-product-top__grid {
	display: flex;
	flex-wrap: wrap;

	@media (--s) {
		margin: 0 -1em;
	}
}

.single-product-top__col {
	@mixin column-item 1, 1em;

	@media (--s) {
		margin: 0;
		padding: 0 1em;
	}

	&:nth-child(1) {
		@media (--s) {
			width: 35%;
		}

		@media (--m) {
			width: 40%;
		}
	}

	&:nth-child(2) {
		@media (--s) {
			width: 65%;
		}

		@media (--m) {
			width: 60%;
		}
	}
}

.page-block--product.sidebar-left,
.page-block--product.sidebar-right {
	& .single-product-top__col {
		width: 100%;

		&:nth-child(1) {
			@media (--s) {
				width: 35%;
			}

			@media (--m) {
				width: 40%;
			}
		}

		&:nth-child(2) {
			@media (--s) {
				width: 65%;
			}

			@media (--m) {
				width: 60%;
			}
		}
	}
}

.woocommerce-product-gallery {
	& .flex-viewport {
		border: 1px solid var(--border);
		border-radius: var(--border-radius);
	}

	& .flex-control-thumbs {
		@mixin list-reset;

		display: flex;
		flex-direction: row;
		justify-content: flex-start;
		margin-top: 10px;

		& li {
			display: block;
			margin-right: 10px;
			cursor: pointer;

			&:first-child {
				padding-left: 0;
			}

			&:last-child {
				margin-right: 0;
			}
		}

		& img {
			max-width: 100%;
			height: auto;
		}
	}
}

.woocommerce-product-gallery--columns-2 {
	& .flex-control-thumbs li {
		width: calc(50% - 10px);
	}
}

.woocommerce-product-gallery--columns-3 {
	& .flex-control-thumbs li {
		width: calc(33.33% - 10px);
	}
}

.woocommerce-product-gallery--columns-4 {
	& .flex-control-thumbs li {
		width: calc(25% - 10px);
	}
}

.woocommerce-product-gallery--columns-5 {
	& .flex-control-thumbs li {
		width: calc(20% - 10px);
	}
}

.single-product-top {
	@media (--s) {
		margin-top: 1em;
	}

	& .entry-summary {
		& .product__rating {
			justify-content: flex-start;
		}

		& form.cart {
			transition: opacity 0.3s;
			margin-top: 0.5em;

			&.is-loading {
				opacity: 0.75;
				pointer-events: none;
			}
		}

		& .quantity {
			margin-top: 0.5em;
			margin-right: 0.5em;

			& + .button {
				@mixin button-large;

				margin-top: 0.5em;
				height: 44px;

				@media (--m) {
					min-width: 200px;
				}

				& + .added_to_cart {
					@mixin button-link;
					@mixin button-large;

					display: inline-flex;
					align-items: center;
					margin-top: 0.5em;
					margin-left: 1em;
					padding-left: 0;
					padding-right: 0;

					@media (--m) {
						&:hover {
							color: var(--primary);
						}
					}
				}
			}
		}

		& .product_meta {
			margin-top: 1em;
			margin-bottom: 1em;

			& > span {
				display: block;
			}

			& a {
				color: var(--primary);
				text-decoration: underline;

				&:hover {
					color: var(--secondary);
				}
			}

			& .sku,
			* .weight,
			* .height,
			* .width,
			& .length {
				color: var(--primary);
			}
		}
	}

	& .woocommerce-product-details__short-description {
		@mixin wysiwyg;

		padding: 0 0 0.5em;

		& img {
			display: none;
		}
	}
}

.single-product-top__sale-tag {
	width: 42px;
	height: 42px;
	background: var(--primary);
	color: var(--white);
	border-radius: 50%;
	box-shadow: 0 4px 12px 0 rgba(0, 0, 0, 0.08);

	@media (--m) {
		width: 60px;
		height: 60px;
		font-size: 1.05rem;
	}
}

.single-product-top__inner {
	position: relative;
}

.product-price--countdown {
	display: flex;
	flex-wrap: wrap;
	min-height: 150px;
	margin-top: 0.5em;
	padding: 0.5em 1em;
	border-radius: var(--border-radius);
	transition: all 0.3s;

	@media (--sm) {
		align-items: center;
		padding: 10px;
		min-height: 115px;
	}

	& .price del {
		color: var(--white);
	}

	&.is-style-default {
		background: linear-gradient(100deg, rgb(255, 66, 78), rgb(253, 130, 10));
		color: var(--white);
	}

	&.is-style-primary {
		background: var(--primary);
		color: var(--white);
	}

	&.is-style-secondary {
		background: var(--secondary);
		color: var(--white);
	}

	&.is-style-dark {
		background: var(--white);
		color: var(--dark);
		border: 2px solid var(--dark);
		box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.1);

		& .price {
			color: var(--primary);

			& ins {
				color: var(--primary);
			}

			& del {
				color: var(--dark);
				opacity: 0.75;
			}
		}
	}
}

.single-product__price__top {
	display: flex;

	& .price {
		width: 100%;
		display: flex;
		flex-direction: row-reverse;
		align-items: center;
		justify-content: flex-end;
		color: var(--white);

		@media (--sm) {
			flex-direction: column-reverse;
			justify-content: center;
			align-items: flex-start;
		}

		& del {
			font-size: 1rem;
			opacity: 0.75;
		}
	}
}

.single-product__price__top,
.single-product__price__bottom {
	display: flex;
	flex-wrap: wrap;
	width: 100%;

	@media (--sm) {
		width: auto;
		flex: 1 1 0;
	}
}

.single-product__price__label {
	display: block;
	width: 100%;
	margin-bottom: 0.5em;
	font-size: 1rem;
	font-weight: var(--font-bold);
}

.single-product__price__countdown {
	display: flex;
	width: 100%;
}

.single-product__price__item {
	margin-right: 0.5em;
	width: 25%;

	&:last-child {
		margin-right: 0;
	}
}

.single-product__price__bottom__inner {
	margin-right: 0.25em;

	@media (--sm) {
		display: flex;
		flex-direction: column;
		justify-content: center;
	}

	& .number {
		font-size: 1.5rem;
		font-weight: var(--font-bold);
	}

	& .unit {
		padding-top: 0.25em;
		font-weight: var(--font-normal);
		font-size: 0.85rem;
	}
}

.single-product__price__notice {
	@mixin label-text;

	display: none;
}

.product-price--countdown.display-message {
	& .single-product__price__notice {
		display: block;
		margin-top: 1em;
	}
}

.woocommerce-product-gallery {
	position: relative;
}

.woocommerce-product-gallery__trigger {
	@mixin flex-center;

	position: absolute;
	top: 5px;
	left: 5px;
	width: 35px;
	height: 35px;
	background: var(--light);
	color: var(--black);
	border-radius: 50%;
	z-index: 3;
	pointer-events: none;
}

.single-product-top__header {
	margin-bottom: 0.5em;
}

.modal-product-buttons {
	margin-top: 1.5em;
}

.button-modal-product {
	margin-right: 20px;
	color: var(--primary);
	display: inline-flex;
	align-items: center;
	font-size: 0.95rem;
	transition: all 0.4s;

	& .button-modal-product__icon {
		width: 20px;
		height: 20px;
		margin-right: 5px;

		& svg {
			width: 20px;
			height: 20px;
		}

		& path {
			fill: var(--primary);
			transition: all 0.4s;
		}
	}

	&:hover {
		color: var(--dark);

		& path {
			fill: var(--dark);
		}
	}
}

.single-product-main__col--description {
	width: 100%;

	@media (--m) {
		width: 75%;
	}
}

.single-product-main__sidebar {
	display: none;

	& .widget_text {
		border: 1px dashed #999;
		background: #f4f4f4;
		padding: 20px;

		& ul li {
			padding: 5px 0;
			color: #333;
			line-height: 1.5;
		}
	}

	@media (--m) {
		display: block;
		width: 25%;
	}
}

.single-product-main {
	margin-top: 1em;

	@media (--m) {
		margin-top: 2em;
	}
}

.woocommerce-tabs {
	& .tabs {
		display: flex;
		flex-wrap: wrap;
		margin: 0;

		& li {
			min-width: 3em;
			padding: 0;
			height: 40px;
			text-align: center;
			line-height: 40px;
			border-bottom: 2px solid var(--border);
			border-radius: 0;
			margin-right: 1em;
			transition: all 0.3s;

			& a {
				display: inherit;
				transition: all 0.3s;
			}

			&.active,
			&:hover {
				border-bottom-color: var(--primary);

				& a {
					color: var(--primary);
				}
			}
		}
	}

	& .woocommerce-Tabs-panel {
		margin-top: 1.5em;
		margin-bottom: 1.5em;
	}

	& .woocommerce-Tabs-panel--description {
		@mixin wysiwyg;
	}
}

.single-product-tag,
.single-product-meta {
	font-size: 0.9rem;

	& .product-meta__value {
		color: var(--primary);
	}

	& a {
		color: var(--primary);
		transition: none;

		&:hover {
			text-decoration: underline;
		}
	}
}

.single-product-tag {
	margin-top: 0.5em;
}

.variations_form {
	margin: 1em 0;

	& .variations {
		margin: 0;

		& .label label {
			font-weight: var(--font-bold);
		}
	}

	& .value {
		& select {
			height: 40px;
			line-height: 1;
			border: 1px solid var(--gray);
			border-radius: 5px;
		}
	}

	& .reset_variations {
		&:hover {
			color: var(--primary);
		}
	}
}

.single-product-bottom {
	margin-top: var(--section-space);
	margin-bottom: var(--section-space);
}

.single-product-bottom__col--left {
	width: 100%;

	@media (--m) {
		width: auto;
		flex: 1 1 0;
	}
}

.single-product-bottom__col--right {
	width: 100%;
	margin-top: 1em;

	@media (--m) {
		width: var(--small-sidebar-width);
		margin-top: 0;
	}
}

.single-product-main__col--right {
	display: none;

	@media (--m) {
		display: block;
		width: 25%;
		min-width: 240px;
	}

	@media (--ml) {
		min-width: 280px;
	}
}

.single-product-main__col--left,
.single-product-top__main-col--left {
	width: auto;
	flex: 1 1 0;
}

.single-product-top__main-col--right {
	display: none;

	@media (--m) {
		display: block;
		width: 33.33%;
	}
}

.single-product {
	& .product_title {
		@mixin h2;

		color: var(--body-text-color);
		font-weight: var(--font-normal);
	}
}

.product-price--countdown {
	min-height: 90px;
	color: var(--white);
	line-height: 1.25;

	& > * {
		opacity: 0;
		transition: opacity 0.3s ease;
	}

	&.is-loaded {
		& > * {
			opacity: 1;
		}
	}

	& .single-product__price__notice,
	& del,
	& ins {
		color: var(--white);
	}

	& del {
		padding-left: 1em;

		@media (--sm) {
			padding-left: 0;
		}
	}
}

a.product-gallery__item {
	display: none;
}

.single-product {
	& .woocommerce-product-gallery__wrapper {
		& .woocommerce-product-gallery__image {
			& a {
				display: block;
				width: 100%;
				height: 100% !important;
				line-height: 1;

				& img {
					width: 100%;
					height: auto !important;
					max-height: 100%;
					line-height: 1;
				}
			}
		}
	}
}
